Module jdk.compiler
Package com.sun.source.tree

# Interface UnionTypeTree

All Superinterfaces:
  `Tree`

public interface UnionTypeTree extends Tree
A tree node for a union type expression in a multicatch variable declaration.

Since:
  1.7

## Nested Class Summary

## Nested classes/interfaces declared in interface com.sun.source.tree.Tree

`Tree.Kind`

## Method Summary

Modifier and Type
Method
Description
`List<? extends Tree>`
`getTypeAlternatives()`
Returns the alternative type expressions.

### Methods declared in interface com.sun.source.tree.Tree

`accept, getKind`

## Method Details

### getTypeAlternatives

List<? extends Tree> getTypeAlternatives()
Returns the alternative type expressions.

Returns:
  the alternative type expressions